target: libsampclass.dl script.exe

libsampclass.dl: sampclass.obj sampclass_chdl.obj 
	ch dllink libsampclass.dl cplusplus sampclass.obj sampclass_chdl.obj

sampclass.obj: sampclass.cpp
	ch dlcomp libsampclass.dl cplusplus sampclass.cpp

sampclass_chdl.obj: sampclass_chdl.cpp
	ch dlcomp libsampclass.dl cplusplus sampclass_chdl.cpp

script.exe: script.obj sampclass.obj
	ch dllink script.exe cplusplus script.obj sampclass.obj

script.obj: script.cpp
	ch dlcomp libsampclass.dl cplusplus script.cpp

test: 
	script.exe    > test1
	ch script.cpp > test2 
	diff test1 test2

clean:
	rm -f *.o *.dl *.obj *.exp *.lib *.exe test1 test2

